!  DLL NTOM.f90 
!
subroutine DLLNTOM (nin,nout, a, b)

  ! Converts a(nin) to b(nout)
  ! WRHagen 20180308, 20200505
  !
  !DEC$ ATTRIBUTES DLLEXPORT::DLLNTOM
  !DEC$ ATTRIBUTES STDCALL::DLLNTOM

  ! Variables
    INTEGER*4 nin, nout
    REAL*8    a(nin), b(nout)
    
    INTEGER*4 i, mval
    REAL*8    step, distance, frac

 ! Body of DLLNTOM
    
    step = (nin-1.) / (nout-1.)
	DO  i = 1, nout-1
		distance = (i-1.) * step
		mval = distance + 1.
        frac = distance - mval + 1.
		b(i)=a(mval)*(1.-frac)+a(mval+1)*frac
	END DO
	b(nout) = a(nin) 

end subroutine DLLNTOM
